﻿// ----- The Library Project
//       Start-to-Finish Visual C# 2015
//       Copyright (c) 2016 by Tim Patrick

using System;
using System.Diagnostics;
using System.Windows.Forms;
using System.Reflection;
using static Library.General;

namespace Library
{
    public partial class AboutProgram : Form
    {
        public AboutProgram()
        {
            InitializeComponent();
        }

        private void CompanyWeb_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // ----- Show the company web page.
            Process.Start("http://www.owanipress.com");
        }

        private void CompanyEmail_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // ----- Send email to the company.
            Process.Start("mailto:tim@timaki.com");
        }

        private void AboutProgram_Load(object sender, EventArgs e)
        {
            // ----- Prepare the form.
            Assembly currentAssembly;
            Version versionInfo;

            // ----- Update the version number.
            currentAssembly = Assembly.GetEntryAssembly();
            if (currentAssembly == null)
                currentAssembly = Assembly.GetCallingAssembly();
            versionInfo = currentAssembly.GetName().Version;
            ProgramVersion.Text = string.Format("Version {0}.{1} Revision {2}",
                versionInfo.Major, versionInfo.Minor, versionInfo.Revision);
        }
    }
}
