﻿// ----- The Library Project
//       Start-to-Finish Visual C# 2015
//       Copyright (c) 2016 by Tim Patrick

using System;
using System.Windows.Forms;

namespace ForeignNames
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // ----- Initialize.
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // ----- Prompt for language.
            if (MessageBox.Show("Switch from English to Japanese?", "Foreign Names",
                    MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                System.Threading.Thread.CurrentThread.CurrentUICulture =
                    new System.Globalization.CultureInfo("ja-JP");

            // ----- Display the form.
            Application.Run(new Form1());
        }
    }
}
