﻿// ----- The Library Project
//       Start-to-Finish Visual C# 2015
//       Copyright (c) 2016 by Tim Patrick

using System;
using System.Runtime.InteropServices;

namespace Library
{
    internal static class NativeMethods
    {
        // ----- Imports for single-instance support.
        public const int HWND_BROADCAST = 0xffff;
        public static readonly int WM_LibraryNotify =
            RegisterWindowMessage("ACME.Library.ForceToFront");

        [DllImport("user32.dll", SetLastError=true, CharSet=CharSet.Auto)]
        public static extern bool PostMessage(IntPtr hWnd, int Msg, IntPtr wParam, IntPtr lParam);

        [DllImport("user32.dll", EntryPoint="RegisterWindowMessageW", SetLastError=true, CharSet=CharSet.Unicode)]
        public static extern int RegisterWindowMessage(string message);
    }
}
