﻿// ----- The Library Project
//       Start-to-Finish Visual C# 2015
//       Copyright (c) 2016 by Tim Patrick

using System;

namespace Library
{
    public class ReportSchemaPatronItems
    {
        // ----- Used for the following reports:
        //         Report #1: Items checked out report
        //         Report #2: Items overdue report
        //         Report #3: Items missing report
        public string PatronName {get; set;}
        public string PatronBarcode {get; set;}
        public DateTime DueDate {get; set;}
        public int CopyNumber {get; set;}
        public string ItemBarcode {get; set;}
        public string Title {get; set;}
        public string MediaName {get; set;}
    }

    public class ReportSchemaPatronFines
    {
        // ----- Used for the following reports:
        //         Report #4: Fines owed by patron
        public string PatronName {get; set;}
        public string PatronBarcode {get; set;}
        public decimal FinesDue {get; set;}
    }

    public class ReportSchemaStatistics
    {
        // ----- Used for the following reports:
        //         Report #5: Library database statistics report
        public string EntryName {get; set;}
        public string EntryValue {get; set;}
    }
}
